読者です 読者をやめる 読者になる 読者になる

ssl_requirementを使ってSSL対応

Rails

ssl_requirementというプラグインを使うとhttpとhttps混合サイトなども簡単にできる

インストール

# install
ruby script/plugin install ssl_requirement

# include(application._controller.rbとか)
include SslRequirement

使い方

# コントローラで対応したいアクションを書く
# requireはhttpsのみ(httpだとリダイレクトされる)allowedはhttp,httpsどちらも許可
ssl_required :new, :edit, :create
ssl_allowed :show, :preview